dubbo:
  application:
    name: message-service
    qos-enable: true
    qos-port: 16103
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.message.app.rpc
  protocol:
    name: dubbo
    port: 6103
server:
  port: 6003
spring:
  application:
    name: message-service
  profiles:
    active: @profile.active@
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mapper/**/**.xml
  type-aliases-package: cn.reghao.tnb.account.app.model.po
eureka:
  instance:
    prefer-ip-address: true
  client:
    register-with-eureka: true
    fetch-registry: true
hystrix:
  dashboard:
    proxy-stream-allow-list: "localhost"
turbine:
  # 指定需要收集信息的服务名(注册到 EurekaServer 中的名字)
  appConfig: user-service
  aggregator:
    cluster-config: default
  # 指定集群名称
  # 当服务实例非常多时可以使用多个 Turbine 来构建不同的聚合集群，本参数则用于区分这些不同的集群
  # 同时本参数可以在 HystrixDashboard 中用来定位不同的聚合集群，只需在 Hystrix Stream 的 URL 中通过 cluster 参数来指定即可
  cluster-name-expression: new String("default")
  # 让同一主机上的服务通过主机名和端口号的组合来进行区分，默认以 host 来区分不同的服务
  combine-host-port: true